<template>
  <div class="content-part">
    <product-component
      :name="pair.firstProductText"
      :imageUrl="pair.firstProductImageUrl"
    />
  </div>
  <div class="content-part">
    <product-component
      :name="pair.secondProductText"
      :imageUrl="pair.secondProductImageUrl"
    />
  </div>
</template>
<script lang="ts">
import { computed, defineComponent, PropType, reactive, ref } from "vue";
import { Product } from "./fetchProducts";
import ProductComponent from "./MatchProduct.vue";

export default defineComponent({
  components: {
    ProductComponent,
  },
  props: {
    pair: Object as PropType<Product>,
  },
});
</script>
<style scoped></style>
